import matplotlib.pyplot as plt
numargs = loggamma.numargs
[ c ] = [0.9,] * numargs
rv = loggamma(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = loggamma.cdf(x, c)
h = plt.semilogy(np.abs(x - loggamma.ppf(prb, c)) + 1e-20)

# Random number generation

R = loggamma.rvs(c, size=100)
